Skip to content

Start a new multicast announcement

Start a new multicast announcement

HTTP: Instance ApiKey in Bearer Header

Authenticate using the Users global api key in Header'

  • When using a Voxbi pbx this is md5(instanceApiKey)
  • Not supported for MIXpbx
HTTP Authorization Scheme
bearer
API Key: Instance ApiKey in Query

Authenticate using the Users global api key in Query

  • When using a Voxbi pbx this is md5(instanceApiKey)
  • Not supported for MIXpbx
Parameter name
key
Located in
query
debugAmiTrace query · boolean
Display the debug trace from asterisk manager
ip query · string *
IP to send the call to
emergency query · string
Should the multicast overwrite a call 0 or 1
soundFile query · string
Sound file to play

Responses

Call Started
Response schema
statusstring
Status of the call
enum: ok
example: ok
deviceobject
Src Device
numberstring
Device Number
example: 520
destinationstring
Destination to Call
example: 0035220333000
post https://{username}.voxbi.cloud/api/{version}/calls/placemulticast
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X POST 'https://{username}.voxbi.cloud/api/{version}/calls/placemulticast' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/calls/placemulticast', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.post('https://{username}.voxbi.cloud/api/{version}/calls/placemulticast',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'POST',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/calls/placemulticast', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.